Subject: Re: [bug#73439] [PATCH 00/10] Update libreoffice to its latest version.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 24 Sep 2024 19:03:53 +0200

Am Dienstag, dem 24.09.2024 um 16:29 +0200 schrieb Nicolas Graves:
> On 2024-09-23 20:35, Liliana Marie Prikler wrote:
> 
> > Am Montag, dem 23.09.2024 um 14:15 +0200 schrieb Nicolas Graves:
> > > This patch series updates libreoffice to its latest version. I
> > > used
> > > local builds of derivations with ccache
> > > (https://issues.guix.gnu.org/68315) to test developping and
> > > updating
> > > a big package incrementally. Some commits can be squashed, but I
> > > think we should at least keep separate 24.2.0.3, 24.2.6.2,
> > > 24.8.1.2.
> > > It also adds an updater for the libreoffice package.
> > Why those steps?  Should we perhaps have multiple packages with
> > some older versions for the time being?
> 
> 24.2.0.3 is a big update which adds packages and substitutions, I
> think it's good to keep those changes in one commit.
Fair enough.

> On the libreoffice website, they have only two libreoffice downloads:
> https://www.libreoffice.org/download/download-libreoffice
> 
> 24.8.1.2 is the current stable release
> 24.2.6.2 is the previous stable release (~= LTS)
> 
> I don't see libreoffice bringing tremendous changes from version to
> version, I'm not sure having two versions is necessary.
> 
> That said, it is very doable to have two with a -lts version.
I agree, having an LTS is probably enough.  So can we cut this short by
keeping the separate ones you mention and also keep 24.2.6.2 as the
LTS?

> > 
> > > Nicolas Graves (10):
> > >   import: Add %libreoffice-updater.
> > LGTM
> > >   gnu: libreoffice: Update to 24.2.0.3.
> > >   gnu: libreoffice: Update to 24.2.1.2.
> > >   gnu: libreoffice: Update to 24.2.2.2.
> > >   gnu: libreoffice: Update to 24.2.3.2.
> > >   gnu: libreoffice: Update to 24.2.4.2.
> > >   gnu: libreoffice: Update to 24.2.5.2.
> > >   gnu: libreoffice: Update to 24.2.6.2.
> > >   gnu: libreoffice: Update to 24.8.1.2.
> > >   gnu: hunspell-dictionaries: Update to  24.8.1.2.
> > As noted in the comment hunspell and libreoffice ought to be kept
> > in sync.  IIUC, this would mean updating hunspell-dictionaries in
> > lockstep with libreoffice on those intermediate steps as well, no?
> 
> I haven't delved that deep in this but I think it's not necessary.
> The reason is that they are mostly dictionaries whose updates are
> uncorrelated to what's happenning in libreoffice itself but rather
> edge cases in languages.  They are unlikely to break user experience,
> plus it will be for only a few commits.  At the end of the series
> seems fine to me.
Fair enough.

Cheers